abyss (2.3.10-2) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * 'btllib' is no longer included in the upstream sources, so the
    sources don't need to be repacked.

  [ Andreas Tille ]
  * Replace pkg-config with pkgconf in Build-Depends

  [ Étienne Mollier ]
  * gcc-16.patch: new: fix ftbfs with Gcc 16. (Closes: #1132058)
  * d/watch: convert to Github uscan template v5.
  * d/control: drop redundant Priority: optional.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.3.
  * abyss-pe.patch: fix a typo caught by lintian in description.
  * d/copyright: remove the old fsf mail address.

 -- Étienne Mollier <emollier@debian.org>  Sat, 28 Mar 2026 21:29:14 +0100

abyss (2.3.10-1) unstable; urgency=medium

  * New upstream version 2.3.10
  * fix-privacy-breach.patch: refresh.
  * d/manpages: install abyss-pe.1.
  * abyss-pe.patch: declare forwarding not needed.

 -- Étienne Mollier <emollier@debian.org>  Sat, 02 Nov 2024 14:00:42 +0100

abyss (2.3.9-1) unstable; urgency=medium

  * New upstream version 2.3.9  (Closes: #1080071)
  * fix-privacy-breach.patch: refresh.

 -- Étienne Mollier <emollier@debian.org>  Thu, 12 Sep 2024 22:44:04 +0200

abyss (2.3.8-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * d/control: simplify architecture specifications by using provisions
    from the architecture-properties package.

  [ Étienne Mollier ]
  * New upstream version 2.3.8
  * fix-privacy-breach.patch: freshen.
  * d/copyright: bump copyright years.
  * d/control: declare compliance to standards version 4.7.0.
  * d/{control,rules}: migrate from pkg-config to pkgconf.

 -- Étienne Mollier <emollier@debian.org>  Sat, 27 Jul 2024 18:59:57 +0200

abyss (2.3.7-3) unstable; urgency=medium

  * Add build support for loongarch64
    Closes: #1058457

 -- Andreas Tille <tille@debian.org>  Sat, 16 Dec 2023 18:14:36 +0100

abyss (2.3.7-2) unstable; urgency=medium

  [ Andreas Tille ]
  * btllib code is now external

  [ Étienne Mollier ]
  * d/rules: build with -Wno-error=dangling-reference.
    This fixes build failures with gcc 13. (Closes: #1050557)

 -- Étienne Mollier <emollier@debian.org>  Sat, 26 Aug 2023 12:20:49 +0200

abyss (2.3.7-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: libbtllib-dev

 -- Andreas Tille <tille@debian.org>  Mon, 03 Jul 2023 13:51:37 +0200

abyss (2.3.5+dfsg-2) unstable; urgency=medium

  * d/control: add myself to uploaders.
  * d/watch: switch to git mode; fixes github scan.

 -- Étienne Mollier <emollier@debian.org>  Sat, 22 Oct 2022 12:56:40 +0200

abyss (2.3.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Add fix-privacy-breach.patch; this is to avoid pinging a badges server
    while reading the offline documentation.

 -- Étienne Mollier <emollier@debian.org>  Sat, 14 May 2022 14:19:36 +0200

abyss (2.3.4+dfsg-1) unstable; urgency=medium

  * Upstream declares that only 64bit architectures are supported
    (https://github.com/bcgsc/abyss/issues/384) thus restricting
    architectures accordingly
    Closes: #1000577
  * Exclude i386 from salsa-ci
  * New upstream version
  * Add missing build dependency on dh addon.
  * Exclude external files from RResolver/btllib/external/sdsl-lite

 -- Andreas Tille <tille@debian.org>  Fri, 14 Jan 2022 09:36:02 +0100

abyss (2.3.3-2) unstable; urgency=medium

  * Fix autopkgtest
  * Use gzipped data files in source package

 -- Andreas Tille <tille@debian.org>  Tue, 16 Nov 2021 08:11:26 +0100

abyss (2.3.3-1) unstable; urgency=medium

  * No need to exclude files any more
  * Make sure target dir for manpages exists
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 15 Nov 2021 13:14:45 +0100

abyss (2.3.1-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 01 Oct 2021 16:10:22 +0200

abyss (2.2.5+dfsg-1) unstable; urgency=medium

  * s/bsdmainutils/bsdextrautils/
    Required for abyss-tabtomd, which needs /usr/bin/column
    Closes: #964532
  * Standards-Version: 4.5.1 (routine-update)
  * Remove default debian/gbp.conf
  * Remove unneeded docs of btllib since these contain compressed JS

 -- Andreas Tille <tille@debian.org>  Fri, 04 Dec 2020 14:42:34 +0100

abyss (2.2.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 01 Oct 2020 13:24:22 +0200

abyss (2.2.4-1) unstable; urgency=medium

  * New upstream version
  * spelling patch incorporated upstream, removed it
  * Remove markdown from the nodoc build profile, to allow for cross-building

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 11 Feb 2020 15:39:45 +0100

abyss (2.2.3-2) unstable; urgency=medium

  * Use libtext-multimarkdown-perl to obtain html documentation
    Closes: #942908
  * Standards-Version: 4.4.1

 -- Andreas Tille <tille@debian.org>  Sun, 15 Dec 2019 00:00:48 +0100

abyss (2.2.3-1) unstable; urgency=medium

  * New upstream version
  * Remove strict-alignment patch as per upstream:
    "Adding an additionally memcpy would slow down these inner-loop functions.
     Architectures without hardware support for unaligned memory access are
     currently unsupported by ABySS."
    https://github.com/bcgsc/abyss/pull/279#issuecomment-468079889
  * Turn off the 32-bit patch for now. Local testing with i386 shows that it
    may not be needed as suggested by upstream.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 28 Sep 2019 12:04:53 +0200

abyss (2.2.2-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 17 Aug 2019 08:53:07 +0200

abyss (2.2.1-1) unstable; urgency=medium

  * New upstream release, should fix failing builds on 32-bit architectures.
  * Remove unused libgtest-dev dependency, as it is unused and may be causing
    an error on hurd
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Use secure URI in debian/watch.
  * Set upstream metadata fields: Contact.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 13 Aug 2019 12:38:14 +0200

abyss (2.2.0-1) unstable; urgency=medium

  * New upstream.
  * Several patches incorporated upstream and removed
  * Merged upstream's copyright file with debian/copyright

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 08 Aug 2019 16:48:50 +0200

abyss (2.1.5-7) unstable; urgency=medium

  * Add myself as an uploader.
  * The package openmpi-bin is now a required dependency for the abyss
    binary package. Many thanks to ci.debian.org for bringing this to light.
  * Fix "implicit declaration of function"s in dialign/museq.c
  * Fix some spelling typos
  * Register the flowchart PDFs with doc-base

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 17 Feb 2019 05:19:54 -0800

abyss (2.1.5-6) unstable; urgency=high

  * Team upload.
  * Add dependency on openmpi-common for error messages

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 16 Feb 2019 01:52:28 -0800

abyss (2.1.5-5) unstable; urgency=medium

  * Team upload.
  * Fix MPI build. Closes: #922351

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 15 Feb 2019 06:23:47 -0800

abyss (2.1.5-4) unstable; urgency=medium

  * Fix build on hurd due to missing header file (thanks for the patch
    to Samuel Thibault <sthibault@debian.org>)
    Closes: #920240
  * debhelper 12

 -- Andreas Tille <tille@debian.org>  Wed, 23 Jan 2019 15:49:21 +0100

abyss (2.1.5-3) unstable; urgency=medium

  * Re-add armel architecture
    Closes: #918735

 -- Andreas Tille <tille@debian.org>  Wed, 09 Jan 2019 21:23:43 +0100

abyss (2.1.5-2) unstable; urgency=medium

  * Restrict set of architectures to those where package is known to
    build (or never was successfully build)
    Closes: #918575
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Tue, 08 Jan 2019 15:53:09 +0100

abyss (2.1.5-1) unstable; urgency=medium

  * Fix strict alignment violation on sparc64 (Thanks to  David Matthew Mattli
    and James Clarke)
    Closes: #889147
  * New upstream version
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Sat, 08 Dec 2018 07:24:02 +0100

abyss (2.1.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1
  * Fix Perl interpreter path

 -- Andreas Tille <tille@debian.org>  Wed, 26 Sep 2018 13:30:44 +0200

abyss (2.1.0-1) unstable; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Fri, 20 Apr 2018 10:04:32 +0200

abyss (2.0.3-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata: RRID -> SciCrunch

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Tue, 20 Mar 2018 14:33:26 +0100

abyss (2.0.2-3) unstable; urgency=medium

  * Team upload.

  [ Nadiya Sitdykova ]
  * Add simple autopkgtest test-suite.

  [ Steffen Moeller ]
  * [debian/upstream/metadata] Added references to bio.tools, OMICtools
    and RRID

  [ Sascha Steinbiss ]
  * Add missing dependency on bsdmainutils.
  * Use HTTPS URL for Format entry in d/copyright.
  * Bump Standards-Version.

 -- Nadiya Sitdykova  <rovenskasa@gmail.com>  Fri, 30 Jun 2017 16:56:26 -0400

abyss (2.0.2-2) unstable; urgency=medium

  * FTBFS on mips and other big-endian architectures (Thanks for the patch
    to Daniel Knezevic <Daniel.Knezevic@imgtec.com>)
    Closes: #847574
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Sun, 11 Dec 2016 14:24:34 +0100

abyss (2.0.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 01 Nov 2016 12:06:10 +0100

abyss (2.0.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version now licensed under GPL-3
  * Moved package to main
  * cme fix dpkg-control
  * use markdown to create doc
  * hardening=+all

  [ Gert Wollny ]
  * Force gtest to use c++11 based std::tuple

 -- Andreas Tille <tille@debian.org>  Mon, 10 Oct 2016 19:57:56 +0200

abyss (1.9.0-1) unstable; urgency=medium

  * New upstream version
    Adapted patches
  * Took over COPYRIGHT from upstream as debian/copyright
  * Dropped Shaun Jackman from Uploaders since he confirmed that he will not
    be able to maintain the package
  * Build-Depends: libsqlite3-dev
  * Script uses bash syntax so request bash interpreter

 -- Andreas Tille <tille@debian.org>  Thu, 16 Jul 2015 11:28:54 +0200

abyss (1.5.2-2) unstable; urgency=medium

  * abyss-fixmate and DistanceEst are expected to be in /usr/bin by sga
  * configure was missing ghc -> mention this fact in README.source for
    further inspection
  * Fix FTBFS on 32-bit architectures (thanks for the patch to Graham
    Inggs <graham@nerve.org.za>)
    Closes: #780409
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Mon, 18 May 2015 14:24:21 +0200

abyss (1.5.2-1) unstable; urgency=medium

  * New upstream version (remove applied patches)
  * d/watch: Moved to github
  * d/control+d/rules: use dh-autoreconf
  * d/control: Build-Depends: libtext-multimarkdown-perl
  * cme fix dpkg-control
  * d/control: Build-Depends: libgtest-dev to enable unit tests at build time
  * d/control: drop copy of citation info from long description
  * patch to make gtest work (thanks to Anthony Raymond <traymond@bcgsc.ca>)
  * Drop privacy breach in doc

 -- Andreas Tille <tille@debian.org>  Mon, 15 Sep 2014 14:53:24 +0200

abyss (1.3.6-1) unstable; urgency=low

  * Team upload (Closes: #722072).
  e05ee57 Imported Upstream version 1.3.5
  b391f1f Imported Upstream version 1.3.6 (Closes: #702440)
  7edc28b Signal the use of git-buildpackage with this configuration file.
  a3beaac Normalised source package control file with config-model-edit.
  dd86394 Conforms with Policy version 3.9.4.
  71d42ad Normalised VCS URLs.

 -- Charles Plessy <plessy@debian.org>  Sun, 08 Sep 2013 11:36:44 +0900

abyss (1.3.4-4) unstable; urgency=low

  * Team upload.
  * Fix FTBFS with gcc-4.8, -Werror=unused-local-typedefs.
  * Enable parallel build.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 01 Jul 2013 21:06:59 +0100

abyss (1.3.4-3) unstable; urgency=low

  * Disable POPCNT
    Closes: #697344
  * Add debian/README.debian to inform users about this change asking
    for some comparison of the speed to consider other means for better
    performance

 -- Andreas Tille <tille@debian.org>  Fri, 04 Jan 2013 11:07:10 +0100

abyss (1.3.4-2) unstable; urgency=low

  * Team upload
  * debian/upstream: BibTeX compliant authors

 -- Andreas Tille <tille@debian.org>  Fri, 01 Jun 2012 08:38:29 +0200

abyss (1.3.4-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Add CityHash, which has an Expat license.
  * debian/control: Bump Standards-Version to 3.9.3.1.

 -- Shaun Jackman <sjackman@debian.org>  Thu, 31 May 2012 11:39:13 -0700

abyss (1.3.3-2) unstable; urgency=low

  * debian/control:
     - Team maintenance in Debian Med team
     - Moved packaging to Git
  * debian/upstream: Add citation information
  * debhelper 9 (control+compat)
  * debian/copyright: Add github as another location for obtaining
    the source

 -- Andreas Tille <tille@debian.org>  Sun, 01 Apr 2012 08:44:48 +0200

abyss (1.3.3-1) unstable; urgency=low

  * New upstream release.
  * Some components are dual-licensed BCCA-Academic or GPL-3+.
  * Bump Standards-Version to 3.9.3.

 -- Shaun Jackman <sjackman@debian.org>  Tue, 13 Mar 2012 15:43:49 -0700

abyss (1.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Shaun Jackman <sjackman@debian.org>  Tue, 13 Dec 2011 17:04:24 -0800

abyss (1.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Shaun Jackman <sjackman@debian.org>  Mon, 24 Oct 2011 11:32:59 -0700

abyss (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * Add libboost-graph-dev to Build-Depends.

 -- Shaun Jackman <sjackman@debian.org>  Sun, 11 Sep 2011 10:00:13 -0700

abyss (1.2.7-3) unstable; urgency=low

  * Align/Aligner.cpp, Scaffold/scaffold.cc: Fix FTBFS bug for GCC 4.6.

 -- Shaun Jackman <sjackman@debian.org>  Mon, 15 Aug 2011 11:07:19 -0700

abyss (1.2.7-2) unstable; urgency=low

  * debian/control: Add `XS-Autobuild: yes'. Suggest openmpi-bin.
  * debian/copyright: Change `Format-Specification' to `Format'.

 -- Shaun Jackman <sjackman@debian.org>  Thu, 21 Jul 2011 09:55:52 -0700

abyss (1.2.7-1) unstable; urgency=low

  * Initial release. Closes: #631534.

 -- Shaun Jackman <sjackman@debian.org>  Fri, 24 Jun 2011 12:16:36 -0700
